get
/v1/floating-ips/{floating_ip_id}Get floating IP
Get details of a specific floating IP
Path Parameters
floating_ip_id
string<uuid>requiredpath
Floating IP ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Responses
200
Floating IP details
Content-Type: application/json
floating_ip
objectoptional401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired404
Resource not found
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/floating-ips/550e8400-e29b-41d4-a716-446655440000" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
Floating IP details
{"floating_ip": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:network:floating-ip:550e8400-e29b-41d4-a716-446655440000","description": "string","floating_ip_address": "203.0.113.10","floating_network_id": "550e8400-e29b-41d4-a716-446655440001","status": "ACTIVE","port_id": "550e8400-e29b-41d4-a716-446655440000","fixed_ip_address": "string","router_id": "550e8400-e29b-41d4-a716-446655440000","dns_domain": "string","dns_name": "string","tags": ["web","frontend"],"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}